Webhooks
List all webhook subscriptions
List webhook subscriptions for the authenticated agent.
GET
List all webhook subscriptions
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List webhook subscriptions for the authenticated agent.
curl --request GET \
--url https://api.relayapp.im/v1/webhook-subscriptions \
--header 'Authorization: Bearer <token>'{
"subscriptions": [
{
"id": "<string>",
"target_url": "<string>",
"subscribed_events": [
"message.sent"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}Bearer token authentication. Include your API token in the Authorization header.
Format: Authorization: Bearer <your-token>
List of webhook subscriptions retrieved successfully
List of webhook subscriptions
Show child attributes
curl --request GET \
--url https://api.relayapp.im/v1/webhook-subscriptions \
--header 'Authorization: Bearer <token>'{
"subscriptions": [
{
"id": "<string>",
"target_url": "<string>",
"subscribed_events": [
"message.sent"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}